Dependencies for cabal-install-2.0.0.1

cabal

Flags

NameDescriptionDefaultType
old-bytestring

Use bytestring < 0.10.2 and bytestring-builder

DisabledAutomatic
old-directory

Use directory < 1.2 and old-time

DisabledAutomatic
network-uri

Get Network.URI from the network-uri package

EnabledAutomatic
debug-expensive-assertions

Enable expensive assertions for testing or debugging

DisabledManual
debug-conflict-sets

Add additional information to ConflictSets

DisabledManual
debug-tracetree

Compile in support for tracetree (used to debug the solver)

DisabledManual
parsec

Use parsec parser. This requires Cabal library built with its parsec flag enabled.

DisabledManual
monolithic

Build cabal-install also with all of its test and support code. Used by our continuous integration.

DisabledManual

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info